function resizeAllPlotters(){
    var nrOfChildren = plotRect.children.length;
    console.log('Plotrect has: ' + nrOfChildren + ' children.');
    var i=0;
    for(i=0;i<nrOfChildren;i++){
        plotRect.children[i].height=plotRect.height / nrOfChildren;
    }
}

function removeAllPlotters(){
    console.log('removing all live plotters from gui, found ' + plotRect.children.length + ' plotters.' );
    while( plotRect.children.length > 0 ){
        plotRect.children[0].parent=null;
    }
}



function newLivePlotter(measurementId,deviceId){
    console.log('QML got new liveplotter for measurement: ' + measurementId + ' and device: ' + deviceId);
    if(plotController){
        //Got no idea why, but we're always called two times here and the first time , plotController is not accessible.
        var livePlotter = plotController.getLivePlotter(measurementId,deviceId);
        livePlotter.parent = plotRect;
        livePlotter.visible=true;
        livePlotter.width = parent.width;
        resizeAllPlotters();
     }
}
