function startSetup(index,name){

    stateController.selectSetup(name);
    setupController.prepareForSetup();
    console.log("Setup Controller starts setup for: " + name);

    if(index === 0){
        setupController.setDeviceColor(255);
        setupController.setBaseFrequency(200);
        setupController.addRawAccelTracks(0);
        setupController.addRawGyroTracks(0);
        setupController.addRawMagnetoTracks(0);
    }

    if(index === 1){
        setupController.setDeviceColor(255);
        setupController.setBaseFrequency(1000);
        setupController.addRawAccelTracks(0);
        setupController.addRawGyroTracks(0);
        setupController.addRawMagnetoTracks(5);
    }

    if(index === 2){
        setupController.setDeviceColor(255);
        setupController.setupStandardRawDataTracks();
        setupController.setBaseFrequency(200);
        setupController.addQuaternionTrack(0);
        setupController.addRawAccelTracks(0);
        setupController.addRawGyroTracks(0);
        setupController.addRawMagnetoTracks(0);
    }

    if(index === 3){
        setupController.setDeviceColor(255);
        setupController.setBaseFrequency(100);
        setupController.addRawAccelTracks(0);
        setupController.addRawGyroTracks(0);
    }

    if(index === 4){
        setupController.setDeviceColor(255);
        setupController.setBaseFrequency(1000);
        setupController.addRawAccelTracks(0);
        setupController.addRawGyroTracks(0);
    }

    if(index === 5){
        setupController.setDeviceColor(255);
        setupController.setBaseFrequency(1000);
        setupController.addRawAccelTracks(0);
        setupController.addRawGyroTracks(0);
        setupController.addPressureTracks(100);
    }

    if(index === 6){
        setupController.setDeviceColor(255);
        setupController.setBaseFrequency(100);
        setupController.addRawAccelTracks(0);
        setupController.addDSPTracks(0);
    }

    if(index === 7){
        setupController.setDeviceColor(255);
        setupController.setBaseFrequency(100);
        setupController.addPressureTracks(100);
        setupController.addBatteryVoltageTrack(1000);
        setupController.addChargingStateTrack(1000);
    }

    if(index === 8){
        console.log('setup config 8');
        setupController.setDeviceColor(255);
        setupController.setBaseFrequency(10);
        setupController.addRawAccelTracks(0);
        setupController.addRawGyroTracks(0);
        setupController.addRawMagnetoTracks(0);
    }
    if(index === 9){
        console.log('setup config 9');
        setupController.setDeviceColor(255);
        setupController.setBaseFrequency(10);
        setupController.addRawMagnetoTracks(0);
    }


    if(index === 10){
        console.log('setup config 10');
        setupController.setDeviceColor(255);
        setupController.setBaseFrequency(1000);
        setupController.addRawAccelTracks(0);
        setupController.addRawGyroTracks(0);

    }

    if(index === 20){
        setupController.setDeviceColor(255);
        setupController.setBaseFrequency(1000);
        setupController.addBatteryVoltageTrack(10);
        setupController.addChargingStateTrack(10);
        setupController.addChargingCurrentTrack(10);
    }

    if(index === 21){
        setupController.setDeviceColor(255);
        setupController.setBaseFrequency(1000);
        setupController.addBatteryVoltageTrack(1000);
        setupController.addChargingStateTrack(1000);
        setupController.addADCchannel3(1);
        setupController.addADCchannel4(1);
        setupController.addChargingCurrentTrack(1000);
    }

    if(index === 99){
         setupController.addTrackToAllDevs(123456,0,1,0);
    }

    setupController.finishSetup();
}
