function startSetup(index,name){
    stateController.selectSetup(name);
    setupController.prepareForSetup();
    console.log("Sprint Setup Controller starts setup for: " + name);

    if(index === 0){
        setupController.setDeviceColor(255);
        setupController.setBaseFrequency(1000);
        if(name === "Sprint 1kHz without Raw Data"){
            setupController.addTrackToAllDevs(274,0,0,4);
            console.log("Setting up track 274.");
            setupController.addTrackToAllDevs(290,0,0,4);
            console.log("Setting up track 290.");
            setupController.addTrackToAllDevs(32788,0,1,0);
            console.log("Setting up track 32788.");
            setupController.addTrackToAllDevs(32789,0,1,0);
            console.log("Setting up track 32789.");
            setupController.addTrackToAllDevs(32790,0,1,0);
            console.log("Setting up track 32790.");
        }
        if(name === "Sprint 1kHz with Raw Data"){
            setupController.addTrackToAllDevs(274,0,1,4);
            console.log("Setting up track 274.");
            setupController.addTrackToAllDevs(290,0,0,4);
            console.log("Setting up track 290.");
            setupController.addTrackToAllDevs(32788,0,1,0);
            console.log("Setting up track 32788.");
            setupController.addTrackToAllDevs(32789,0,1,0);
            console.log("Setting up track 32789.");
            setupController.addTrackToAllDevs(32790,0,1,0);
            console.log("Setting up track 32790.");
        }
    }

    setupController.finishSetup();
}
