import QtQuick 2.1
import "Palette.js" as Palette

BasicButton{
    buttonRadius:   0*dip
    buttonWidth:    200*dip
    id: button

    states:[
            State {
                 name: "active"
                 PropertyChanges { target: button; color: pressedColor; buttonHoverEnabled:false}
             },
            State {
             name: "inactive"
             PropertyChanges { target: button; color: normalColor; buttonHoverEnabled:true}
         }
       ]
    transitions:[
        Transition{
            ColorAnimation { duration: 200 }
        }
    ]
}
