import QtQuick 2.0
import "Palette.js" as Palette

Item{
        property alias text : label.text;
        property alias color : colorRect.color;
        width: 80
        height: 80

        Rectangle {
            id: colorRect
            width: parent.width
            height: parent.height
            color: Palette.dark1
            Text{
                id: label
                anchors.centerIn: parent
                color: "white"
            }
        }
}
