import AxiamoSkin 1.0
import QtQuick 2.1
import QtQuick.Controls 1.0
import "../../../apps/Basic/BasicLogic.js" as BasicLogic

AppScreen{
    ListView {
        id: appList
        anchors.centerIn: parent
        width:parent.width-20
        height:parent.height
        model: appModel
        delegate: appDelegate
        spacing: 15
    }
    Component {
        id: appDelegate
        PictureButton{
            width:parent.width
            buttonText: DisplayName;
            onClicked: BasicLogic.appSelected(DisplayName,BasePath)
            buttonImage: BasePath + "/" +IconPath;
        }
    }

}


