import AxiamoSkin 1.0
import QtQuick 2.1
import QtQuick.Controls 1.0
import "../Logic/Setup.js" as Setup
import "../../Basic/BasicLogic.js" as BasicLogic

AppScreen{
    Column{
        width: parent.width
        spacing: 5

        PictureButton{
          buttonText: "Acc.Gyro 1 kHz"
          onClicked: Setup.startSetup(4,buttonText);
        }
        PictureButton{
          buttonText: "Acc.Gyro 100 Hz"
          onClicked: Setup.startSetup(3,buttonText);
        }

        PictureButton{
            buttonText: "Acc.Gyro.Mag. 200 Hz"
            onClicked: Setup.startSetup(0,buttonText);
        }
        PictureButton{
            buttonText: "Acc.Gyro.1kHz Mag. 200 Hz"
            onClicked: Setup.startSetup(1,buttonText);
        }

        PictureButton{
            buttonText: "Delete measurement data"
            onClicked: uploadController.deleteAllDataBlocks();
        }

        PictureButton{
            buttonText: "Get state"
            onClicked: uploadController.requestAllDeviceState();
        }
        PictureButton{
          buttonText: "ADC Voltage and Charging Current/State"
          onClicked: Setup.startSetup(20,buttonText);
        }

        PictureButton{
          buttonText: "ADC Voltage and Charging Current/State AND CH3/CH4 ADC channels"
          onClicked: Setup.startSetup(21,buttonText);
        }

    }
}
