import QtQuick 2.1
import "Palette.js" as Palette


PictureButton{
    property alias actionButtonsHeight: actions.actionButtonHeight

    property alias showDelete:  actions.showDelete
    property alias showCreate:  actions.showCreate
    property alias showExpand:  actions.showExpand
    property alias showUpload:  actions.showUpload
    property alias showExport:  actions.showExport
    property alias showProcess:  actions.showProcess

    signal deleteClicked;
    signal createClicked;
    signal expandClicked;
    signal uploadClicked;
    signal exportClicked;
    signal processClicked;


    ActionButtons{
        id: actions
        anchors.top: parent.top
        anchors.right: parent.right
        anchors.margins: 5*dip
        onDeleteClicked:    parent.deleteClicked();
        onCreateClicked:    parent.createClicked();
        onExpandClicked:    parent.expandClicked();
        onUploadClicked:    parent.uploadClicked();
        onExportClicked:    parent.exportClicked();
        onProcessClicked:   parent.processClicked();
    }
}
