import QtQuick 2.1
import "../../../apps/Basic/BasicLogic.js" as BasicLogic
import "Palette.js" as Palette

Row{

    signal itemClicked(int index);
    property alias model: navRepeat.model
    anchors.top: mainTitle.bottom
    width: parent.width

    function setItemState(index,status){
        if(navRepeat.itemAt(index)){
            navRepeat.itemAt(index).state=status;
        }
    }
    function getItemName(index){
        if(navRepeat.itemAt(index)){
            return navRepeat.itemAt(index).buttonText;
         }else{
            return '';
        }

    }

    Repeater{
        id: navRepeat
         MenuButton{
            buttonText: DisplayName
            buttonBorderWidth: 0
            buttonWidth: parent.width/navRepeat.count
            onClicked: {
                itemClicked(index);
            }
        }
    }
}
