import QtQuick 2.1
import QtQuick.Window 2.0
import "Palette.js" as Palette



Rectangle{
    readonly property real dip: Screen.pixelDensity / (96 / 25.4) // DPI norm in mm

    anchors.centerIn: parent
    width: parent.width - 50*dip
    height: parent.height - 100*dip
    radius:5*dip
    border.color: Palette.dark1

}
