import QtQuick 2.0
import Qt3D 2.0

Viewport {
     fillColor: "blue"
     width: parent.width; height: parent.height

     camera: Camera {
       //  eye: Qt.vector3d(4, 4, 10)
     }
        Repeater{
            model:3

           Item3D{
               mesh: Mesh{ source: 'cube.obj'}
               effect: Effect{}
                position: Qt.vector3d((index-1)*4,0,-30);
               transform: [
                          Scale3D { scale: 1.5 },
                          Rotation3D {
                              axis: Qt.vector3d(1, 1, 0)
                              NumberAnimation on angle {
                                  running: Qt.application.active
                                  loops: Animation.Infinite
                                  from: 0
                                  to: 360
                                  duration: 2000
                              }
                          }
                      ]
           }
       }
 }
